Request
class Request implements RequestInterface
Methods
Create a new HTTP/2 request instance.
Get the request path.
Set the request path.
Get the request method.
Set the request method.
Get the request body.
Set the request body.
Get the request headers.
Set the request headers.
Determine if this is a pipeline request.
Set whether this is a pipeline request.
Determine whether the response is read incrementally.
Set whether the response is read incrementally.
Details
at line 14
__construct(string $path = '/', string $method = 'GET', string $body = '', array $headers = [], bool $pipeline = false, bool $usePipelineRead = false)
Create a new HTTP/2 request instance.
at line 27
string
getPath()
Get the request path.
at line 35
void
setPath(string $path)
Set the request path.
at line 43
string
getMethod()
Get the request method.
at line 51
void
setMethod(string $method)
Set the request method.
at line 59
string
getBody()
Get the request body.
at line 67
void
setBody(string $body)
Set the request body.
at line 75
array
getHeaders()
Get the request headers.
at line 83
void
setHeaders(array $headers)
Set the request headers.
at line 91
bool
isPipeline()
Determine if this is a pipeline request.
at line 99
void
setPipeline(bool $pipeline)
Set whether this is a pipeline request.
at line 107
bool
usesPipelineRead()
Determine whether the response is read incrementally.
at line 115
void
setUsePipelineRead(bool $usePipelineRead)
Set whether the response is read incrementally.